Bug 1657627 - Blueman needs updating
Summary: Blueman needs updating
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: blueman
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Artur Iwicki
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-10 07:17 UTC by Luke Hutchison
Modified: 2019-01-05 03:01 UTC (History)
3 users (show)

Fixed In Version: blueman-2.1-0.14.alpha3.fc29 blueman-2.1-0.11.alpha3.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-05 02:30:58 UTC


Attachments (Terms of Use)

Description Luke Hutchison 2018-12-10 07:17:56 UTC
The version of Blueman included with Fedora 29 is old, e.g. it exhibits this bug, fixed months ago upstream:

https://github.com/blueman-project/blueman/issues/869

However, the version of Blueman in Fedora seems to have diverged from upstream, so patches don't always apply cleanly.

Any chance the Fedora version could resync with upstream, and push out an update package with the many Blueman bugfixes that have been merged this year? Thanks!

Comment 1 Artur Iwicki 2018-12-27 12:31:47 UTC
Fedora has not diverged from upstream, it just ships a pre-release version of the 2.1 release. I was considering whether we should revert to the 2.0 branch, but seeing how 2.1.alpha3 was released yesterday, I'm going to upgrade Fedora to this new pre-release and we'll see if that solves the bugs.

Comment 2 Fedora Update System 2018-12-27 20:08:30 UTC
blueman-2.1-0.14.alpha3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-88674ec2d2

Comment 3 Fedora Update System 2018-12-27 20:08:54 UTC
blueman-2.1-0.11.alpha3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-442e242808

Comment 4 Fedora Update System 2018-12-28 06:25:13 UTC
blueman-2.1-0.11.alpha3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-442e242808

Comment 5 Fedora Update System 2018-12-28 08:31:03 UTC
blueman-2.1-0.14.alpha3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-88674ec2d2

Comment 6 Fedora Update System 2019-01-05 02:30:58 UTC
blueman-2.1-0.14.alpha3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-01-05 03:01:59 UTC
blueman-2.1-0.11.alpha3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.